<?php
require'fun.php';
$descriere='Noutati RSS';
$titlu=$adresasite[1].' - '.$descriere;
$link=$adresasite[0].'/rss.xml';
header('Content-Type: application/rss+xml');
header('Last-Modified: '.gmdate('D, d M Y H:i:s T'));
header('Cache-Control: no-store,no-cache,must-revalidate,max-age=0,post-check=0,pre-check=0');
header('Expires: -1');
echo'<?xml version="1.0" encoding="utf-8"?><rss version="2.0" xmlns:media="http://search.yahoo.com/mrss/" xmlns:dcterms="http://purl.org/dc/terms/" xmlns:content="http://purl.org/rss/1.0/modules/content/" xmlns:wfw="http://wellformedweb.org/CommentAPI/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:atom="http://www.w3.org/2005/Atom" xmlns:sy="http://purl.org/rss/1.0/modules/syndication/" xmlns:slash="http://purl.org/rss/1.0/modules/slash/"><channel><title>'.$titlu.'</title><atom:link href="'.$link.'" rel="self" type="application/rss+xml" /><link>'.$link.'</link><description>'.$descriere.'</description><lastBuildDate>'.date('r').'</lastBuildDate><language>ro-RO</language><sy:updatePeriod>hourly</sy:updatePeriod><sy:updateFrequency>1</sy:updateFrequency><generator>'.$adresasite[0].'</generator><image><title>'.$titlu.'</title><url>'.$domenii_statice[2].'rss.gif</url><link>'.$link.'</link><width>16</width><height>16</height></image>';
$evenimente=$conn->query('SELECT`text`,`de`,`la`,`data`FROM`evenimente`ORDER BY`data`DESC LIMIT 15');
if($evenimente->num_rows>0)
{
require'f_profil.php';
require'f_filtru.php';
while($eveniment=$evenimente->fetch_row())
{
$eveniment[0]=filtru($eveniment[0]);
$eveniment[4]=strip_tags($eveniment[0]);
echo'<item><title><![CDATA['.$eveniment[0].']]></title><link>'.$adresasite[0].'/profil-membru/la/'.$eveniment[1].'-'.seo(nume($eveniment[1],1)).'</link><pubDate>'.date('r',$eveniment[3]).'</pubDate><dc:creator><![CDATA['.nume($eveniment[1],1).']]></dc:creator><description><![CDATA['.nume($eveniment[1],1).' '.$eveniment[4];
if($eveniment[2]>0)
echo' '.nume($eveniment[2],1);
echo']]></description><content:encoded><![CDATA['.profil($eveniment[1]).' '.$eveniment[0];
if($eveniment[2]>0)
echo' '.profil($eveniment[2]);
echo']]></content:encoded></item>';
}
}
echo'</channel></rss>';
require'f_fun.php';